package test;

import java.util.Hashtable;

public class UserInfoBean {
	private String pesel;
	private String imie;
	private String nazwisko;
	private String email;
	private String adres;
	private String kodPocztowy;
	private String userName;
	private String haslo;
	private String hasloPowtorzone;
	private Hashtable<String,String> errors;

	public UserInfoBean()
	{
		imie="";
		nazwisko="";
		email="";
		adres="";
		kodPocztowy="";
		userName="";
		haslo="";
		hasloPowtorzone="";
		errors=null;
	}

	public String getPesel() { return pesel; }
	public String getImie() { return imie; }
	public String getNazwisko() { return nazwisko; }
	public String getEmail() { return email; }
	public String getAdres() { return adres; }
	public String getKodPocztowy() { return kodPocztowy; }
	public String getUserName() { return userName; }
	public String getHaslo() { return haslo; }
	public String getHasloPowtorzone() { return hasloPowtorzone; }

	public void setPesel( String pesel ) { this.pesel=pesel; }
	public void setImie( String imie ) { this.imie = imie; }
	public void setNazwisko(String nazwisko ) { this.nazwisko=nazwisko; }
	public void setEmail( String email ) { this.email=email; }
	public void setAdres( String adres ) { this.adres=adres; }
	public void setKod_pocztowy( String kodPocztowy ) { this.kodPocztowy=kodPocztowy; }
	public void setUsername( String userName ) { this.userName=userName; }
	public void setHaslo( String haslo ) { this.haslo=haslo; }
	public void setHasloPowtorzone( String hasloPowtorzone ) { this.hasloPowtorzone=hasloPowtorzone; }

	public boolean sprawdz()
	{
		errors=new Hashtable<String,String>();
		boolean allOk=true;
		if ( email.equals( "" ) || ( email.indexOf( '@' )==-1 ) ) 
		{
			errors.put( "email", "Niepoprawny adres" );
			allOk=false;
		}
		if ( pesel.length()!= 11 )
		{
			errors.put( "pesel", "Niepoprawny pesel" );
			allOk=false;
		}
		// Reszta sprawdzan
		return allOk;
	}

	public String getErrorMsg( String s ) 
	{
		String errorMsg =(String)errors.get( s.trim() );
		return ( errorMsg == null ) ? "" : errorMsg;
	}
}
